<?php
require_once '../../init.php';
require_once MAX_PATH . '/www/admin/config.php';
require_once LIB_PATH . '/Plugin/PluginManager.php';
require_once LIB_PATH . '/Plugin/ComponentGroupManager.php';
require_once MAX_PATH . '/lib/pear/Date.php';
require_once MAX_PATH . '/lib/OA/Admin/Option.php';
require_once MAX_PATH . '/lib/OA/Admin/Settings.php';

if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysql') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
} else if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'pgsql') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
} else if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysqli') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
// Security check
OA_Permission::enforceAccount(OA_ACCOUNT_ADMIN);

$oPluginManager = new OX_PluginManager();
$oComponentGroupManager = new OX_Plugin_ComponentGroupManager();

$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];

$session['prefs']['inventory_entities'][OA_Permission::getEntityId()]['clientid'] = $clientid;
$session['prefs']['inventory_entities'][OA_Permission::getEntityId()]['campaignid'][$clientid] = $campaignid;
phpAds_SessionDataStore();

$tabindex = 1;
$aErrormessage = array();
$oOptions = new OA_Admin_Option('settings');
$oHeaderModel = new OA_Admin_UI_Model_PageHeaderModel("Passback Statistics");
phpAds_PageHeader('passback-statistics', $oHeaderModel);

if (!empty($_POST)) {
    $_POST['period_preset'] = $_POST['period_preset'];
} else {
    $_POST['period_preset'] = $_GET['period_preset'];
}

$_period = $_POST['period_preset'];
if ($_GET['period_preset'] != '') {
    if ($_GET['period_preset'] == 'today') {
        $start = date('Y-m-d 00:00:00');
        $end = date('Y-m-d 23:59:59');
        $result = time_zone($start, $end);
        $startdate = $result[0];
        $endate = $result[1]; //$start=$result[0]; $end=$endate;
    } else if ($_GET['period_preset'] == 'yesterday') {
        $start = date('Y-m-d 00:00:00', strtotime('Yesterday'));
        $end = date('Y-m-d 23:59:59', strtotime('Yesterday'));
        $result = time_zone($start, $end);
        $startdate = $result[0];
        $endate = $result[1]; //$start=$result[0]; $end=$endate;
    } else if ($_GET['period_preset'] == 'last_7_days') {
        $start = date('Y-m-d 00:00:00', strtotime('Today - 7 Day'));
        $end = date('Y-m-d 23:59:59', strtotime('Yesterday'));
        $result = time_zone($start, $end);
        $startdate = $result[0];
        $endate = $result[1]; //$start=$result[0]; $end=$endate;
    } else if ($_GET['period_preset'] == 'this_month') {
        $start = date('Y-m-d 00:00:00', mktime(0, 0, 0, date('m'), 1, date('Y')));
        $end = date('Y-m-d 23:59:59');
        $result = time_zone($start, $end);
        $startdate = $result[0];
        $endate = $result[1]; //$start=$result[0]; $end=$endate;
    }
    if ($_GET['period_preset'] == 'last_month') {
        $start = date('Y-m-d 00:00:00', mktime(0, 0, 0, (date('m') - 1), 1, date('Y')));
        $end = date('Y-m-d 23:59:59', mktime(0, 0, 0, date('m'), 0, date('Y')));
        $result = time_zone($start, $end);
        $startdate = $result[0];
        $endate = $result[1]; //$start=$result[0]; $end=$endate;
    } else if ($_GET['period_preset'] == 'all_stats') {
        $start = '';
        $end = date('Y-m-d 23:59:59');
        $result = time_zone($start, $end);
        //$start=$result[0]; $end=$result[1];

    } else if ($_GET['period_preset'] == 'specific') {
        $start = $_GET['period_start'];
        $end = $_GET['period_end'];
        $result = time_zone($start, $end);
        $startdate = $result[0];
        $endate = $result[1]; //$start=$result[0]; $end=$endate;
    }
} else {
    $start = date('Y-m-d 00:00:00');
    $end = date('Y-m-d 23:59:59');
    $result = time_zone($start, $end);
    $startdate = $result[0];
    $endate = $result[1];
}

//////////timezone

function time_zone($start, $end)
{
    $end_date =  date('Y-m-d', strtotime($end));
    $end_day = new Date($end_date);
    $end_day->setHour(23);
    $end_day->setMinute(59);
    $end_day->setSecond(59);
    $end_day->toUTC();
    $end_date = $end_day->format('%Y-%m-%d %H:%M:%S');
    $start_day = new Date($start);
    $start_day->setHour(0);
    $start_day->setMinute(0);
    $start_day->setSecond(0);
    $start_day->toUTC();
    $start_date = $start_day->format('%Y-%m-%d %H:%M:%S');
    $date[] = $start_date;
    $date[] = $end_date;
    return $date;
}

///////////timezone


$agency_id = OA_Permission::getEntityId();

if ($affiliateid) {
    $stat = OA_Dal_Delivery_query("SELECT a.name AS name,sum( r.requests ) AS requests, z.zoneid AS zoneid, z.zonename AS zonename
FROM rv_dj_passback_requests AS r, rv_zones AS z,rv_affiliates as a 
WHERE z.zoneid = r.zone_id AND a.affiliateid = z.affiliateid and a.affiliateid =$affiliateid
AND date_time >= '" . $startdate . "'
AND date_time <= '" . $endate . "'
GROUP BY zoneid
	");

    $total = OA_Dal_Delivery_query("SELECT a.name AS name,sum( r.requests ) AS requests, z.zoneid AS zoneid, z.zonename AS zonename
FROM rv_dj_passback_requests AS r, rv_zones AS z,rv_affiliates as a 
WHERE z.zoneid = r.zone_id AND a.affiliateid = z.affiliateid and a.affiliateid =$affiliateid
AND date_time >= '" . $startdate . "'
AND date_time <= '" . $endate . "'");
} else {
    if ($agency_id == 0) {


        $stat = OA_Dal_Delivery_query("SELECT a.name AS name,sum( r.requests ) AS requests, z.zoneid AS zoneid, z.zonename AS zonename
FROM rv_dj_passback_requests AS r, rv_zones AS z,rv_affiliates as a
WHERE z.zoneid = r.zone_id and a.affiliateid=z.affiliateid
AND date_time >= '" . $startdate . "'
AND date_time <= '" . $endate . "' 
GROUP BY zoneid");

        $total = OA_Dal_Delivery_query("SELECT a.name AS name,sum( r.requests ) AS requests, z.zoneid AS zoneid, z.zonename AS zonename
FROM rv_dj_passback_requests AS r, rv_zones AS z,rv_affiliates as a
WHERE z.zoneid = r.zone_id AND a.affiliateid = z.affiliateid
AND date_time >= '" . $startdate . "'
AND date_time <= '" . $endate . "'");
    } else {

        $stat = OA_Dal_Delivery_query("SELECT a.name AS name,sum( r.requests ) AS requests, z.zoneid AS zoneid, z.zonename AS zonename
FROM rv_dj_passback_requests AS r, rv_zones AS z,rv_affiliates as a
WHERE z.zoneid = r.zone_id AND a.affiliateid = z.affiliateid
AND date_time >= '" . $startdate . "'  AND a.agencyid='$agency_id'
AND date_time <= '" . $endate . "'
GROUP BY zoneid");

        $total = OA_Dal_Delivery_query("SELECT a.name AS name,sum( r.requests ) AS requests, z.zoneid AS zoneid, z.zonename AS zonename
FROM rv_dj_passback_requests AS r, rv_zones AS z,rv_affiliates as a
WHERE z.zoneid = r.zone_id AND a.affiliateid = z.affiliateid
AND date_time >= '" . $startdate . "'  AND a.agencyid='$agency_id'
AND date_time <= '" . $endate . "'");
    }
}
///////////timezone

echo "<form method='get' id='myform'>";
echo "<div class='dspstats'>";
echo "<select name='period_preset' id='period_preset' onchange='periodFormChange(1)' tabindex='1'>";
echo  "<option value='today'>Today</option>";
echo  "<option value='yesterday'>Yesterday</option>";
echo  "<option value='last_7_days'>Last 7 days</option>";
echo  "<option value='this_month'>This month</option>";
echo   "<option value='last_month'>Last month</option>";
//~ echo  "<option value='all_stats'>All statistics</option>";
echo   "<option value='specific'>Specific dates</option>";
echo   "</select>";
echo "<label for='period_start' style='margin-left: 4em'>From:</label>";
echo "<input  name='period_start' id='period_start' type='text' value='" . $start . "' tabindex='2'/>";
echo "<input type='image' src='assets/images/icon-calendar-d.gif' id='period_start_button' align='absmiddle' border='0' tabindex='3' />";
echo "<label for='period_end' style='margin-left: 1em'>To: </label>";
echo "<input  name='period_end' id='period_end' type='text' value='" . $end . "' tabindex='4' />";
echo "<input type='image' src='assets/images/icon-calendar-d.gif' id='period_end_button' align='absmiddle' border='0' tabindex='3' />";
echo "<input type='image' name='sub' class='ig' id='sub_tag' src='assets/images/ltr/go_blue.gif' tabindex='6' border='0'>";
echo "</div>";
echo "</form>";
echo "<style>
.ig{
	margin-left: 4px;
	margin-bottom: -2px;
}
</style>";
?>



<?php
if (OA_Dal_Delivery_numRows($stat) > 0) {
?>
    <link rel="stylesheet" type="text/css" href="assets/min.php?g=oxp-css-ltr&v=2.8.10">
    <table width='100%' border='0' cellspacing='0' cellpadding='0'>
        <tr>
            <td style="padding-bottom:5px; white-space: nowrap;">
                <br />
                <a href="oxm_passbackads_export.php?start=<?php echo $startdate; ?>&end=<?php echo $endate; ?>&exstart=<?php echo $ex; ?>" accesskey="e">
                    <img src="assets/images/excel.gif" border="0" alt="" /> <u>E</u>xport Statistics to Excel</a>
            </td>

            <td width="90%">&nbsp;</td>
        </tr>
    </table>
    <table width="100%" class="table">
        <tr>
            <th scope="col" class="aright" style="color: #0767A8;">Website Name</th>
            <th scope="col" class="aright" style="color: #0767A8;">Zone Name</th>
            <th scope="col" class="aright" style="color: #0767A8;">Zone Id</th>
            <th scope="col" class="aright" style="color: #0767A8;">Passback requests</th>
        </tr>
        <?php

        while ($value = OA_Dal_Delivery_fetchAssoc($stat)) {
        ?>
            <tr>
                <td class="aright dark"><?php echo $value['name']; ?></td>
                <td class="aright dark"><?php echo $value['zonename']; ?></td>
                <td class="aright dark"><?php echo $value['zoneid']; ?></td>
                <td class="aright dark"><?php echo $value['requests']; ?></td>
            </tr>
        <?php

        }
        $totalvalue = OA_Dal_Delivery_fetchAssoc($total);
        ?>

        <tr>
            <td class="aright dark" style="color: #0767A8;"><?php echo "Total"; ?></td>
            <td class="aright dark"><?php echo "-"; ?></td>
            <td class="aright dark"><?php echo "-"; ?></td>
            <td class="aright dark"><?php echo $totalvalue['requests']; ?></td>
        </tr>
    </table>
<?php

} else {
    echo '<div style="margin-top: 2em;" class="errormessage"><img border="0" align="absmiddle" width="16" height="16" src="../../assets/images/info.gif" class="errormessage">There are currently no statistics available for the period ' . $start . ' to ' . $end . '</div>';
}
?>

<script>
    Calendar.setup({
        inputField: 'period_start',
        ifFormat: '%Y-%m-%d',
        button: 'period_start_button',
        align: 'Bl',
        weekNumbers: false,
        firstDay: 1,
        electric: false
    });

    Calendar.setup({
        inputField: 'period_end',
        ifFormat: '%Y-%m-%d',
        button: 'period_end_button',
        align: 'Bl',
        weekNumbers: false,
        firstDay: 1,
        electric: false
    });

    function periodFormChange(bAutoSubmit) {
        var o = document.getElementById('period_preset');
        var periodSelectName = o.options[o.selectedIndex].value;
        var specific = periodSelectName == 'specific';
        var periodTabIndex = 2;

        document.getElementById('period_start').readOnly = !specific;
        document.getElementById('period_start_button').disabled = !specific;
        document.getElementById('period_end').readOnly = !specific;
        document.getElementById('period_end_button').disabled = !specific;

        if (!specific) {
            document.getElementById('period_start').style.backgroundColor = '#CCCCCC';
            document.getElementById('period_end').style.backgroundColor = '#CCCCCC';
            document.getElementById('period_start').tabIndex = null;
            document.getElementById('period_start_button').tabIndex = null;
            document.getElementById('period_end').tabIndex = null;
            document.getElementById('period_end_button').tabIndex = null;
            document.getElementById('period_start_button').src = 'assets/images/icon-calendar-d.gif';
            document.getElementById('period_end_button').src = 'assets/images/icon-calendar-d.gif';

        } else {
            document.getElementById('period_start').style.backgroundColor = '#FFFFFF';
            document.getElementById('period_end').style.backgroundColor = '#FFFFFF';
            document.getElementById('period_start').tabIndex = periodTabIndex;
            document.getElementById('period_start_button').tabIndex = periodTabIndex + 1;
            document.getElementById('period_end').tabIndex = periodTabIndex + 2;
            document.getElementById('period_end_button').tabIndex = periodTabIndex + 3;
            document.getElementById('period_start_button').src = 'assets/images/icon-calendar.gif';
            document.getElementById('period_end_button').src = 'assets/images/icon-calendar.gif';
        }

        document.getElementById('period_start_button').readOnly = !specific;
        document.getElementById('period_end_button').readOnly = !specific;
        document.getElementById('period_start_button').style.cursor = specific ? 'auto' : 'default';
        document.getElementById('period_end_button').style.cursor = specific ? 'auto' : 'default';

        if (!specific && bAutoSubmit) {
            o.form.submit();
        }

    }
    periodFormChange(0);

    function periodFormSubmit() {
        var form = document.getElementById('period_preset').form;
        if (checkDates(form)) {
            form.submit();
        }
        return false;
    }

    function checkDates(form)
    {
        var startField = form.period_start;
        var endField = form.period_end;
        if (!startField.disabled && startField.value != '') {
            var start = Date.parseDate(startField.value, '%Y-%m-%d');
        }

        if (!startField.disabled && endField.value != '') {
            var end = Date.parseDate(endField.value, '%Y-%m-%d');
        }

        if ((start != undefined && end != undefined) && (start.getTime() > end.getTime())) {
            return false;
        }
        return true;
    }

    $(function() {
        var selectedText = $("#period_preset").find("option:selected").text();
        var selectedValue = $("#period_preset").val();
        var val = "<?php echo $_GET["period_preset"]; ?>";
        $("#period_preset").val(val);
    });
</script>